using Godot;

namespace Cirno.Scripts.Components.FSM.Player;

public partial class Controlling : PlayerStateBase
{
    public override PlayerState StateId => PlayerState.Controlling;
    [Export]
    private PlayerAnimationProvider _animationProvider;
    
    public override void EnterState()
    {
        
    }

    public override void ExitState()
    {
        
    }

    public override void ProcessState(double delta)
    {
        
    }

    public override void PhysicsProcessState(double delta)
    {
        
    }
}